import { BitSwitchSettings } from '../../model';
import { VariableCommunicator } from '../../communication';
import { SwitchOperator } from './switch-operator';
import { VariableOptionModel } from '../../service';
import { VariableStore } from '../../config';
export declare class BitSwitchOperator implements SwitchOperator {
    private readonly settings;
    private readonly variableCommunicator;
    private readonly variableStore;
    private readonly signalRAppId;
    private currentValue;
    private canExecuteInternal;
    private binary;
    get variableName(): string;
    constructor(settings: BitSwitchSettings, variableCommunicator: VariableCommunicator, variableStore: VariableStore, signalRAppId: string);
    canExecute(): boolean;
    execute(): Promise<VariableOptionModel>;
    writeValue(value: any): Promise<VariableOptionModel>;
}
